Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

bump to version 0.6.0

  • Loading branch information...
commit afd255c5591150f5a3dbeac279c59614a32ec4dc 1 parent 98192ac
authored October 24, 2011
9  History.txt
... ...
@@ -1,3 +1,12 @@
  1
+== 0.6.0 / 2011-10-04
  2
+  * Compatibility with ffi-rzmq 0.9.0 and added some conditional
  3
+    logic to support 0mq 2.1.x and 3.x APIs.
  4
+  
  5
+  * Removed all exceptions and replaced them with return codes.
  6
+
  7
+  * Added :exception_handler key to Reactor#new so exceptions can
  8
+    be managed by user code.
  9
+
1 10
 == 0.5.2 / 2011-07-21
2 11
   * Added PUSH and PULL socket types. Never needed them until now.
3 12
   * Added a +context+ reader to the Reactor class.
10  README.rdoc
Source Rendered
@@ -29,9 +29,9 @@ descriptors. This isn't on my roadmap but patches are accepted.
29 29
 
30 30
 * Some classes are just skeletons.
31 31
 
32  
-* Recommended for JRuby since it is the only existing runtime that uses
  32
+* Recommended for JRuby or Rubinius since they are the only existing runtimes that use
33 33
   native threads without a GIL. MRI 1.9.x is okay but may have
34  
-  threading problems.
  34
+  threading problems. This hasn't been tested with MacRuby.
35 35
 
36 36
 == SYNOPSIS:
37 37
 
@@ -41,12 +41,12 @@ Read and execute the examples in the examples directory.
41 41
 
42 42
 Requires the 0mq library
43 43
 
44  
-* 0mq 2.0.10 or 2.1 and later
  44
+* 0mq 2.1.x, 3.0 and later
45 45
 
46 46
 Depends on 2 external gems.
47 47
 
48  
-* ffi-rzmq (>= 0.7.0)
49  
-* ffi (>= 1.0.0)
  48
+* ffi-rzmq (>= 0.9.0)
  49
+* ffi (>= 1.0.0) [MRI only]
50 50
 
51 51
 == INSTALL:
52 52
 
2  version.txt
... ...
@@ -1 +1 @@
1  
-0.5.2
  1
+0.6.0
2  zmqmachine.gemspec
@@ -2,7 +2,7 @@
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.name = %q{zmqmachine}
5  
-  s.version = "0.5.2"
  5
+  s.version = "0.6.0"
6 6
 
7 7
   s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
8 8
   s.authors = ["Chuck Remes"]

0 notes on commit afd255c

Please sign in to comment.
Something went wrong with that request. Please try again.